---
title: <header>
slug: Web/HTML/Element/header
tags:
  - Element
  - HTML
  - HTML sections
  - Reference
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;header&gt;</code> element</strong> represents introductory content, typically a group of introductory or navigational aids. It may contain some heading elements but also a logo, a search form, an author name, and other elements.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/header.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Palpable_content">palpable content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, but with no <code>&lt;header&gt;</code> or {{HTMLElement("footer")}} descendant.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>. Note that a <code>&lt;header&gt;</code> element must not be a descendant of an {{HTMLElement("address")}}, {{HTMLElement("footer")}} or another {{HTMLElement("header")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Banner_role">banner</a>, or <a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">no corresponding role</a> if a descendant of an <code><a href="/en-US/docs/Web/HTML/Element/article">article</a></code>, <code><a href="/en-US/docs/Web/HTML/Element/aside">aside</a></code>, <code><a href="/en-US/docs/Web/HTML/Element/main">main</a></code>, <code><a href="/en-US/docs/Web/HTML/Element/nav">nav</a></code> or <code><a href="/en-US/docs/Web/HTML/Element/section">section</a></code> element, or an element with <code>role=<a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Article_Role">article</a></code>, <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Complementary_role">complementary</a></code>, <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Main_role">main</a></code>, <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Navigation_Role">navigation</a></code> or <code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Region_role">region</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("group")}}, {{ARIARole("presentation")}} or {{ARIARole("none")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>&lt;header&gt;</code> element is not sectioning content and therefore does not introduce a new section in the <a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">outline</a>. That said, a <code>&lt;header&gt;</code> element is intended to usually contain the surrounding section's heading (an <code>h1</code>–<code>h6</code> element), but this is <strong>not</strong> required.</p>

<h3 id="Historical_Usage">Historical Usage</h3>

<p>Although the <code>&lt;header&gt;</code> element didn't make its way into specifications until {{glossary("HTML5")}}, it actually existed at the very beginning of HTML. As seen in <a href="http://info.cern.ch/">the very first website</a>, it was originally used as the <code>&lt;head&gt;</code> element. At some point, it was decided to use a different name. This allowed <code>&lt;header&gt;</code> to be free to fill a different role later on.</p>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Page_Header">Page Header</h3>

<pre class="brush: html notranslate">&lt;header&gt;
  &lt;h1&gt;Main Page Title&lt;/h1&gt;
  &lt;img src="mdn-logo-sm.png" alt="MDN logo"&gt;
&lt;/header&gt;
</pre>

<h3 id="Article_Header">Article Header</h3>

<pre class="brush: html notranslate">&lt;article&gt;
  &lt;header&gt;
    &lt;h2&gt;The Planet Earth&lt;/h2&gt;
    &lt;p&gt;Posted on Wednesday, &lt;time datetime="2017-10-04"&gt;4 October 2017&lt;/time&gt; by Jane Smith&lt;/p&gt;
  &lt;/header&gt;
  &lt;p&gt;We live on a planet that's blue and green, with so many things still unseen.&lt;/p&gt;
  &lt;p&gt;&lt;a href="https://janesmith.com/the-planet-earth/"&gt;Continue reading....&lt;/a&gt;&lt;/p&gt;
&lt;/article&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-header-element', '&lt;header&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'sections.html#the-header-element', '&lt;header&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.elements.header")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other section-related elements: {{HTMLElement("body")}}, {{HTMLElement("nav")}}, {{HTMLElement("article")}}, {{HTMLElement("aside")}}, {{HTMLElement("h1")}}, {{HTMLElement("h2")}}, {{HTMLElement("h3")}}, {{HTMLElement("h4")}}, {{HTMLElement("h5")}}, {{HTMLElement("h6")}}, {{HTMLElement("hgroup")}}, {{HTMLElement("footer")}}, {{HTMLElement("section")}}, {{HTMLElement("address")}}.</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
</ul>
